# Package org.apache.coyote.http11

Interface Summary
HttpOutputBuffer
InputFilter: Input filter interface.
OutputFilter: Output filter.

Class Summary
AbstractHttp11JsseProtocol<S>
AbstractHttp11Protocol<S>
Constants: Constants.
Http11AprProtocol: Deprecated. The APR/Native Connector will be removed in Tomcat 10.1.x onwards.
Http11InputBuffer: InputBuffer for HTTP that provides request header parsing as well as transfer encoding.
Http11Nio2Protocol: HTTP/1.1 protocol implementation using NIO2.
Http11NioProtocol: HTTP/1.1 protocol implementation using NIO.
Http11OutputBuffer: Provides buffering for the HTTP headers (allowing responses to be reset before they have been committed) and the link to the Socket for writing the headers (once committed) and the response body.
Http11Processor

Exception Summary
HeadersTooLargeException: Exception used to mark the specific error condition of the HTTP headers exceeding the maximum permitted size.